movabletype.jp
検索

必要インストール環境(ウェブサーバー, DB)と、ブラウザ動作環境

Movable Type 5を利用するためには以下の環境が必要です。

必要な環境

Perl CGI スクリプトを実行できるウェブサーバー

Movable Type はウェブサーバーにインストールされ、ユーザーはウェブブラウザで HTML ページを表示して Movable Type にアクセスします。Movable Type は Perl で書かれています。オプションで PHP を使ってダイナミック コンテンツを生成できます。

FTP クライアント、またはシェル (telnet または ssh) アカウント

上記のいずれかは、Movable Type をインストールし、運用するために必要です。

JavaScript が使用できるウェブブラウザ

Movable Type はウェブブラウザを使用してすべての機能にアクセスします。特別なソフトウェアをインストールする必要はありません。

インストール環境

Perl 5.8.1 以上

Perl 5.8.0 は文字コードの扱いに問題がある事が以前から知られています。そのため、日本語の扱いにおいて、一部の文字が文字化けを起こして利用できないなどの制限や不具合が発生する場合があります。

サーバー OS
  • Linux, Solaris/Unix, BSD
  • Mac OS X
  • Windows Server 2008
ウェブサーバー
  • Apache
  • Microsoft IIS
以下のいずれかのデータベース
  • MySQL バージョン5.0 以上
  • Oracle Database 11g (Movable Type Enterprise のみ)
  • Microsoft SQL Server 2008 (Movable Type Enterprise のみ)
外部 (CPAN) Perl モジュール

Movable Type は、Perl コミュニティによるオープンソースの土台の上に構築されており、外部の Perl モジュールを利用しています。これらのモジュールは、無料で入手できるオープンソースソフトウェアで Comprehensive Perl Archive Network (CPAN) からダウンロードできます。

Perl モジュール

Movable Type を実行するには、以下の Perl モジュールが必要です。

  • CGI
  • Image::Size
  • File::Spec (バージョン0.8以上)
  • CGI::Cookie

また、データベース モジュールとして以下の Perl モジュールが必要です。

  • DBI (バージョン1.21以上)
  • DBD::mysql - MySQLを利用する場合

以下のオプション機能をサポートする Perl モジュールがあれば、Movable Type の機能はさらに広がります。

  • HTML::Entities
  • LWP::UserAgent
  • SOAP::Lite (バージョン0.5以上)
  • File::Temp
  • Image::Magick
  • Storable
  • Crypt::DSA
  • MIME::Base64
  • XML::Atom
  • Archive::Tar
  • Archive::Zip
  • IO::Compress::Gzip
  • IO::Uncompress::Gunzip
  • Text::Balanced (ブログ内検索で必要)

これらの Perl モジュールは、Movable Type チェック用 CGI の mt-check.cgi を実行することで、インストールされているかどうか確認できます。mt-check.cgi については『サーバーのシステム情報の確認』の項を参照ください。

ダイナミックパブリッシング (オプション)

ダイナミックパブリッシングを利用するには、以下の環境が必要です。

PHP

PHP5.x以上 (PHP4は利用できません)

ウェブサーバーとして Apache を使用している場合 .htaccess ファイルが利用可能である必要があります。

推奨利用環境

ウェブブラウザ
  • Mozilla Firefox 3.5 以降 (最新版を推奨)
  • Internet Explorer 6.0 以降 (最新版を強く推奨)

関連ページ